/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : St feb 12 14:14:56 CET 2003
    copyright            : (C) 2003 by Ondrej Krško
    email                : ondrej.krsko@zoznam.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "serial1.h"

static const char *description =
	I18N_NOOP("Serial1");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "serial1", I18N_NOOP("Serial1"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2003, Ondrej Krško", 0, 0, "ondrej.krsko@zoznam.sk");
  aboutData.addAuthor("Ondrej Krško",0, "ondrej.krsko@zoznam.sk");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  Serial1 *serial1 = new Serial1();
  a.setMainWidget(serial1);
  serial1->show();  

  return a.exec();
}
